---
layout: archive
title: "Github open-source portfolio"
permalink: /portfolio/
author_profile: true
---

{% include base_path %}

{% include icons.svg %}

<ul class="portfolio">
  {% assign sorted = site.github.public_repositories | sort: 'stargazers_count' | reverse %}
  {% for repo in sorted limit:28 %}
  {% if repo.fork != true %}
  <li class="repo  repo--{{ repo.language | downcase }}">
    <h3><a href="{{ repo.html_url }}">{{ repo.name }}</a></h3></br>
    <strong>{{ repo.language }}</strong></br>
    <p>{{ repo.description }}</p>
    <a class="button" href="{{ repo.html_url }}/archive/{{ repo.default_branch }}.zip"><svg class="icon  icon--sub"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#down"></use></svg> Download</a>
    <a class="button" href="{{ repo.html_url }}/fork"><svg class="icon  icon--sub"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#octocat"></use></svg> Fork it</a>
    <aside class="details">
      <span><svg class="icon  icon--sub"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#star"></use></svg> {{ repo.stargazers_count }}</span>
      <span><svg class="icon  icon--sub"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#fork"></use></svg> {{ repo.forks_count }}</span>
    </aside>
  </li>
  {% endif %}
  {% endfor %}
</ul>

